TemplateXFcLinkedListAbstractIterator< T > class Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XFcLinkedListAbstractIterator< T > Class Template Reference

Linked list abstract iterator template. More...

Inheritance diagram for XFcLinkedListAbstractIterator< T >:

[legend]
List of all members.

## Public Member Functions

INT | operator!= (const XFcLinkedListAbstractIterator &aRef) const
| Checks for inequality.
INT | operator== (const XFcLinkedListAbstractIterator &aRef) const
| Checks for equality.
INT | isValid () const
| Returns information about the validity of the node.
T | getData () const
| Returns the value of a node.
T | setData (const T aNewData)
| Sets the value of a node.

## Protected Member Functions

| XFcLinkedListAbstractIterator ()
| Creates an empty iterator.
| XFcLinkedListAbstractIterator (XFcLinkedListNode< T > *aNode)
| Creates an iterator pointing to a node.

## Protected Attributes

XFcLinkedListNode< T > * | mNode
| Current node.

## Friends

class | XFcLinkedList< T >

## Detailed Description

### template<class T>
class XFcLinkedListAbstractIterator< T >

Linked list abstract iterator template.

## Constructor & Destructor Documentation

template<class T>
XFcLinkedListAbstractIterator< T >::XFcLinkedListAbstractIterator | ( |  | ) | `[protected]`

| Creates an empty iterator.

template<class T>
XFcLinkedListAbstractIterator< T >::XFcLinkedListAbstractIterator | ( | XFcLinkedListNode< T > * | aNode | ) | `[protected]`

| Creates an iterator pointing to a node.

## Member Function Documentation

template<class T>
T XFcLinkedListAbstractIterator< T >::getData | ( |  | ) | const

| Returns the value of a node.

template<class T>
INT XFcLinkedListAbstractIterator< T >::isValid | ( |  | ) | const

Returns information about the validity of the node.

Returns:
  1 if the node is not NULL, 0 otherwise.

template<class T>
INT XFcLinkedListAbstractIterator< T >::operator!= | ( | const XFcLinkedListAbstractIterator< T > & | aRef | ) | const

Checks for inequality.

Tests if two nodes are inequal.

Parameters:

  aRef | iterator to test this iterator's value against.

Returns:
  1 if inequal, 0 otherwise.

template<class T>
INT XFcLinkedListAbstractIterator< T >::operator== | ( | const XFcLinkedListAbstractIterator< T > & | aRef | ) | const

Checks for equality.

Tests if two nodes are equal.

Parameters:

  aRef | iterator to test this iterator's value against.

Returns:
  1 if equal, 0 otherwise.

template<class T>
T XFcLinkedListAbstractIterator< T >::setData | ( | const T | aNewData | ) |

Sets the value of a node.

Parameters:

  aNewData | new value for the node.

Returns:
  Old value if the set was successful, or default value for the data type if an error occurred.

## Friends And Related Function Documentation

template<class T>
friend class XFcLinkedList< T >`[friend]`

## Member Data Documentation

template<class T>
XFcLinkedListNode<T>* XFcLinkedListAbstractIterator< T >::mNode`[protected]`

| Current node.

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch